#%define intern_name openMotif
%define intern_name openmotif

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Open Motif runtime libraries and executables.
Name: 		openmotif
Version: 	2.3.2
Release: 	1
License: 	Open Group Public License
Group: 		System/Libraries
#Source:  %{intern_name}-%{version}.tar.gz
Source:  	openmotif-2.3.2.tar.gz
Source1: 	xmbind
URL: 		http://www.motifzone.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	/usr/share/X11/XKeysymDB

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

BuildPrereq: 	flex
BuildPrereq: 	bison, pkg-config
BuildRequires: 	xorg-x11-xbitmaps
BuildRequires: 	perl

Patch0:		openmotif-nodebug.patch
Patch22: 	openMotif-2.3.0-no_demos.patch
Patch23: 	openMotif-2.2.3-uil_lib.patch
Patch43: 	openMotif-2.3.0-rgbtxt.patch
Patch45: 	openMotif-2.3.0-mwmrc_dir.patch
Patch46: 	openMotif-2.3.0-bindings.patch
Patch47: 	openMotif-2.3.0-no_X11R6.patch

Prefix: /usr

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXmu-devel
BuildRequires: libXp-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: zlib-devel

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%package devel
Summary: 	Open Motif development libraries and header files.
Group: 		Development/Libraries
Requires: 	openmotif = %{version}-%{release}
Requires: 	libjpeg-devel libpng-devel
Requires: 	libXft-devel libXmu-devel libXp-devel libXt-devel libXext-devel

%description devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q -n %{intern_name}-%{version}
%patch0 -p1 -b .nodebug
#%patch22 -p1 -b .no_demos
%patch23 -p1 -b .uil_lib
%patch43 -p1 -b .rgbtxt
%patch45 -p1 -b .mwmrc_dir
%patch46 -p1 -b .bindings
%patch47 -p1 -b .no_X11R6

libtoolize -f

for i in doc/man/man3/{XmColumn,XmDataField}.3; do
	iconv -f windows-1252 -t utf-8 < "$i" > "${i}_"
	mv "${i}_" "$i"
done

%build
CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64" \
./configure \
   --prefix=%{prefix} \
   --libdir=%{prefix}/%{_lib} \
   --mandir=%{_datadir}/man \
   --enable-static \
   --enable-xft \
   --enable-jpeg --enable-png

# do not use rpath
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=\"-L\\\$libdir\"|g;' libtool

export LD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make clean
make

%install
rm -rf $RPM_BUILD_ROOT

export LD_LIBRARY_PATH=`pwd`/lib/Mrm/.libs:`pwd`/lib/Xm/.libs
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix} install
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d \
         $RPM_BUILD_ROOT/usr/include

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/xmbind.sh

rm -fr $RPM_BUILD_ROOT%{prefix}/%{_lib}/*.la \
       $RPM_BUILD_ROOT%{prefix}/share/Xm/doc

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
/etc/X11/xinit/xinitrc.d/xmbind.sh
/etc/X11/mwm/system.mwmrc
%{prefix}/bin/mwm
%{prefix}/bin/xmbind
%{prefix}/include/X11/bitmaps/*
%{prefix}/%{_lib}/libMrm.so.*
%{prefix}/%{_lib}/libUil.so.*
%{prefix}/%{_lib}/libXm.so.*
%{_datadir}/X11/bindings
%{_datadir}/Xm/
%{_mandir}/man1/mwm*
%{_mandir}/man1/xmbind*
%{_mandir}/man4/mwmrc*

%files devel
%defattr(-,root,root)
%{prefix}/bin/uil
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{prefix}/%{_lib}/lib*.a
%{prefix}/%{_lib}/lib*.so
%{_mandir}/man1/uil.1*
%{_mandir}/man3/*
%{_mandir}/man5/*
%{_mandir}/manm/exm_in_c.man.gz
%{_mandir}/manm/simpleDemo.man.gz


%changelog
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.3.2-1
- Version update
* Fri May 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-2
- Update to final release
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.0-1
- Initial release
- Beta1 (20060606)
